For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Products Channel Assignments
              • PUTCreate Products Channel Assignments
              • DELDelete Products Channel Assignments
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsChannel Assignments

Create Products Channel Assignments

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/channel-assignments
PUT
/stores/:store_hash/v3/catalog/products/channel-assignments
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/channel-assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "product_id": 12345,
> "channel_id": 678
> }
>]'
Creates products channel assignments. Notes: * Avoid parallel assignment requests if possible. * Do not make parallel assignment requests with the same product IDs.
Was this page helpful?
Previous

List Products Channel Assignments

Next

Delete Products Channel Assignments

Built with

Creates products channel assignments.

Notes:

  • Avoid parallel assignment requests if possible.
  • Do not make parallel assignment requests with the same product IDs.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
product_idintegerOptional
channel_idintegerOptional

Response

Updated

Errors

422
Unprocessable Entity Error